Bug 107846 - locale utility is broken on big-endian 64-bit platforms
Summary: locale utility is broken on big-endian 64-bit platforms
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: glibc (Show other bugs)
(Show other bugs)
Version: 3.0
Hardware: s390x Linux
high
high
Target Milestone: ---
Assignee: Jakub Jelinek
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 106472
TreeView+ depends on / blocked
 
Reported: 2003-10-23 18:43 UTC by Matt Wilson
Modified: 2007-11-30 22:06 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-11-14 15:14:01 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2003:325 normal SHIPPED_LIVE : Updated glibc packages provide security and bug fixes 2003-11-12 05:00:00 UTC
Red Hat Product Errata RHSA-2003:334 normal SHIPPED_LIVE Low: glibc security update 2003-11-14 05:00:00 UTC

Description Matt Wilson 2003-10-23 18:43:40 UTC
Description of problem:
on-disk locale format seems incompatible with s390x glibc.  It is compatible
only with s390 glibc library.

Version-Release number of selected component (if applicable):
glibc-2.3.2-95.3.s390x.rpm
glibc-common-2.3.2-95.3.s390x.rpm

How reproducible:
Steps to Reproduce:
[root@fido foo]# file /usr/bin/locale
/usr/bin/locale: ELF 64-bit MSB executable, version 1 (SYSV), for GNU/Linux
2.4.0, dynamically linked (uses shared libs), stripped
[root@fido foo]# LANG=en_US.UTF-8 /usr/bin/locale -k week-1stday
week-1stday=0
[root@fido foo]# file ./usr/bin/locale
./usr/bin/locale: ELF 32-bit MSB executable, version 1 (SYSV), for GNU/Linux
2.2.10, dynamically linked (uses shared libs), stripped
[root@fido foo]# LANG=en_US.UTF-8 ./usr/bin/locale -k week-1stday
week-1stday=19971201

Actual results:
week-1stday=0

Expected results:
week-1stday=19971201

Additional info:
LSB certification blocking issue for s390x

Comment 1 Matt Wilson 2003-10-23 19:25:57 UTC
also affects ppc64


Comment 3 Jakub Jelinek 2003-10-27 19:04:29 UTC
Fix is in glibc-2.3.2-95.4.

Comment 4 Brock Organ 2003-11-11 21:22:15 UTC
verified fixed in erratum RHSA-2003:334 with glibc-2.3.2-95.6 on ppc64
and s390x ... 

Comment 5 Mark J. Cox 2003-11-11 21:30:27 UTC
(leaving open until RHSA-2003:334 is released)

Comment 6 Jakub Jelinek 2003-11-14 15:14:01 UTC
An errata has been issued which should help the problem described in this bug report. 
This report is therefore being closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files, please follow the link below. You may reopen 
this bug report if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2003-334.html



Note You need to log in before you can comment on or make changes to this bug.